/**
 * @license
 * Copyright LOGO YAZILIM SANAYİ VE TİCARET A.Ş. All Rights Reserved.
 *
 * Save to the extent permitted by law, you may not use, copy, modify,
 * distribute or create derivative works of this material or any part
 * of it without the prior written consent of LOGO YAZILIM SANAYİ VE TİCARET A.Ş. Limited.
 * Any reproduction of this material must contain this notice.
 */
/**
 * Util class for common javascript operations
 */
export declare class Util {
    /**
     * https://gist.github.com/barlas/760cbf77b31c6922d159
     * This method returns turkish chars to english lowercase version
     *
     * __Usage:__
     * ```javascript
     * Util.turkishToLower("türkçeişğİIiıŞÜĞ");
     * ```
     */
    static turkishToLower(value: any): any;
    /**
     * https://gist.github.com/barlas/760cbf77b31c6922d159
     * This method returns turkish chars to english uppercase version
     * Usage: Util.turkishToUpper("türkçeişğİIiıŞÜĞ");
     */
    static turkishToUpper(value: any): any;
    /**
     * Creates an array of unique values
     * @param array - The arrays to inspect
     */
    static union(...array: any[]): any[];
    /**
     * Find index of given value inside array
     * Usage:
     * @param array - source array
     * @param value - variable will be find index
     * @returns - Array<number>
     */
    static findAllIndex(array: any[], value: any): number[];
    /**
     * Remove character from given string with given count
     * Usage: Util.removeCharsBetween('serkan', 3, 2);
     * @param value - String value will be split
     * @param start - start position, 0 (zero) is first char
     * @param count - how much char will be get
     */
    static removeCharsBetween(value: string, start: number, count?: number): string;
}
